CVE-2002-1271
CVSS7.5
发布时间 :2002-11-12 00:00:00
修订时间 :2016-10-17 22:25:20
NMCOS    

[原文]The Mail::Mailer Perl module in the perl-MailTools package 1.47 and earlier uses mailx as the default mailer, which allows remote attackers to execute arbitrary commands by inserting them into the mail body, which is then processed by mailx.


[CNNVD]PERL-MailTools远程命令执行漏洞(CNNVD-200211-033)

        
        Mail::Mailer是Mailtool套件的一部分,作为PERL模块用于处理邮件。
        由于传递给mailx mailer的用户输入缺少正确检查,远程攻击者可以利用这个漏洞传递SHELL元字符而以mailx进程在系统上执行任意命令。
        SuSE安全小组在Mail::Mailer包中发现一个安全漏洞,允许远程攻击者在部分环境下执行任意命令。这是由于Mailx使用的mailer允许在邮件体中嵌入命令,由于对嵌入的命令检查不充分,远程攻击者可以提交包含SHELL元字符的命令给Mail:Mailer模块处理,可导致以mailx进程在系统上执行嵌入的命令。
        一些定制自动回复程序或者间接,直接使用Mail::Mailer模块的SPAM过滤器存在此类攻击。
        <*链接:http://www.suse.com/de/security/2002_041_perl_mailtools.html
         http://www.linux-mandrake.com/en/security/2002/2002-076.php
        *>

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:perl-mailtools:perl-mailtools:1.40
cpe:/a:perl-mailtools:perl-mailtools:1.1401
cpe:/a:perl-mailtools:perl-mailtools:1.42
cpe:/a:perl-mailtools:perl-mailtools:1.15
cpe:/a:perl-mailtools:perl-mailtools:1.47
cpe:/a:perl-mailtools:perl-mailtools:1.44
cpe:/a:perl-mailtools:perl-mailtools:1.13

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1271
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1271
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200211-033
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=103659723101369&w=2
(UNKNOWN)  BUGTRAQ  20021106 GLSA: MailTools
http://marc.info/?l=bugtraq&m=103679569705086&w=2
(UNKNOWN)  BUGTRAQ  20021108 [Security Announce] Re: MDKSA-2002:076 - perl-MailTools update
http://www.debian.org/security/2003/dsa-386
(UNKNOWN)  DEBIAN  DSA-386
http://www.iss.net/security_center/static/10548.php
(VENDOR_ADVISORY)  XF  mail-mailer-command-execution(10548)
http://www.linux-mandrake.com/en/security/2002/MDKSA-2002-076.php
(UNKNOWN)  MANDRAKE  MDKSA-2002:076
http://www.novell.com/linux/security/advisories/2002_041_perl_mailtools.html
(UNKNOWN)  SUSE  SuSE-SA:2002:041
http://www.securityfocus.com/bid/6104
(UNKNOWN)  BID  6104

- 漏洞信息

PERL-MailTools远程命令执行漏洞
高危 输入验证
2002-11-12 00:00:00 2005-05-13 00:00:00
远程  
        
        Mail::Mailer是Mailtool套件的一部分,作为PERL模块用于处理邮件。
        由于传递给mailx mailer的用户输入缺少正确检查,远程攻击者可以利用这个漏洞传递SHELL元字符而以mailx进程在系统上执行任意命令。
        SuSE安全小组在Mail::Mailer包中发现一个安全漏洞,允许远程攻击者在部分环境下执行任意命令。这是由于Mailx使用的mailer允许在邮件体中嵌入命令,由于对嵌入的命令检查不充分,远程攻击者可以提交包含SHELL元字符的命令给Mail:Mailer模块处理,可导致以mailx进程在系统上执行嵌入的命令。
        一些定制自动回复程序或者间接,直接使用Mail::Mailer模块的SPAM过滤器存在此类攻击。
        <*链接:http://www.suse.com/de/security/2002_041_perl_mailtools.html
         http://www.linux-mandrake.com/en/security/2002/2002-076.php
        *>

- 公告与补丁

        厂商补丁:
        MandrakeSoft
        ------------
        MandrakeSoft已经为此发布了一个安全公告(MDKSA-2002:076)以及相应补丁:
        MDKSA-2002:076:perl-MailTools update
        链接:
        http://www.linux-mandrake.com/en/security/2002/2002-076.php

        补丁下载:
        Updated Packages:
        Linux-Mandrake 7.2:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/7.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/7.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.0:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.0/PPC:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.1:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.1/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.1/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.1/IA64:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ia64/8.1/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ia64/8.1/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.2:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/8.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 8.2/PPC:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.2/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/ppc/8.2/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        Mandrake Linux 9.0:
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/RPMS/perl-MailTools-1.47-1.1mdk.noarch.rpm
        ftp://download.sourceforge.net/pub/mirrors/mandrake/updates/9.0/SRPMS/perl-MailTools-1.47-1.1mdk.src.rpm
        上述升级软件还可以在下列地址中的任意一个镜像ftp服务器上下载:
        
        http://www.mandrakesecure.net/en/ftp.php

        S.u.S.E.
        --------
        S.u.S.E.已经为此发布了一个安全公告(SuSE-SA:2002:041)以及相应补丁:
        SuSE-SA:2002:041:perl-MailTools
        链接:
        http://www.suse.com/de/security/2002_041_perl_mailtools.html

        补丁下载:
        i386 Intel Platform:
        SuSE-8.1
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/i586/perl-MailTools-1.47-29.i586.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.1/rpm/src/perl-MailTools-1.47-29.src.rpm
        SuSE-8.0
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/perl3/perl-MailTools-1.42-120.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/8.0/zq1/perl-MailTools-1.42-120.src.rpm
        SuSE-7.3
        ftp://ftp.suse.com/pub/suse/i386/update/7.3/perl2/perl-MailTools-1.1401-187.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.3/zq1/perl-MailTools-1.1401-187.src.rpm
        SuSE-7.2
        ftp://ftp.suse.com/pub/suse/i386/update/7.2/perl2/perl-MailTools-1.1401-187.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.2/zq1/perl-MailTools-1.1401-187.src.rpm
        SuSE-7.1
        ftp://ftp.suse.com/pub/suse/i386/update/7.1/perl2/perl-MailTools-1.1401-188.i386.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/i386/update/7.1/zq1/perl-MailTools-1.1401-188.src.rpm
        Sparc Platform:
        SuSE-7.3
        ftp://ftp.suse.com/pub/suse/sparc/update/7.3/perl2/perl-MailTools-1.1401-65.sparc.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/sparc/update/7.3/zq1/perl-MailTools-1.1401-65.src.rpm
        AXP Alpha Platform:
        SuSE-7.1
        ftp://ftp.suse.com/pub/suse/axp/update/7.1/perl2/perl-MailTools-1.1401-69.alpha.rpm
        source rpm:
        ftp://ftp.suse.com/pub/suse/axp/update/7.1/zq1/perl-MailTools-1.1401-69.src.rpm
        PPC Power PC Platform:
        SuSE-7.3
        ftp://ftp.suse.com/pub/suse/ppc/update/7.3/perl2/perl-MailTools-1.1401-110.ppc.rpm
        source rpm:
        

- 漏洞信息

4792
perl-MailTools Command Execution

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-11-06 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

PERL-MailTools Remote Command Execution Vulnerability
Input Validation Error 6104
Yes No
2002-11-05 12:00:00 2009-07-11 06:06:00
Discovery of this vulnerability credited to the SuSE Security Team.

- 受影响的程序版本

perl-MailTools perl-MailTools 1.1401
+ S.u.S.E. Linux 7.3 sparc
+ S.u.S.E. Linux 7.3 ppc
+ S.u.S.E. Linux 7.3 i386
+ S.u.S.E. Linux 7.3
perl-MailTools perl-MailTools 1.47
+ S.u.S.E. Linux 8.1
perl-MailTools perl-MailTools 1.44
+ Debian Linux 3.0
+ Gentoo Linux 1.4 _rc1
+ Gentoo Linux 1.2
perl-MailTools perl-MailTools 1.42
+ S.u.S.E. Linux 8.0 i386
+ S.u.S.E. Linux 8.0
perl-MailTools perl-MailTools 1.40
perl-MailTools perl-MailTools 1.15
perl-MailTools perl-MailTools 1.13

- 漏洞讨论

A vulnerability has been reported for a module, included in the perl-MailTools package, which may allow remote attackers to execute arbitrary commands on the underlying shell with the privileges of the mailx process.

User-supplied input is passed to the mailx mailer, but is not sufficiently sanitized of shell metacharacters before being passed through the shell.

- 漏洞利用

There is no exploit code required.

- 解决方案

Gentoo Linux has released an advisory. Users who have installed dev-perl/MailTools-1.44-r1 and earlier are advised to update their systems by issuing the following commands:

emerge rsync
emerge MailTools
emerge clean

Mandrake has released MDKSA-2002:076, including fixes which address this issue. Users are advised to upgrade.

Debian has released DSA 386-1, including fixes which address this issue. Users are advised to upgrade.

The following fixes are available:


perl-MailTools perl-MailTools 1.1401

perl-MailTools perl-MailTools 1.42

perl-MailTools perl-MailTools 1.44

perl-MailTools perl-MailTools 1.47

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站